Skip to main content
PATCH
/
api
/
metrics
/
values
/
{value_uid}
Update metric value
curl --request PATCH \
  --url https://dev.exante.app/api/metrics/values/{value_uid} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "value": 123,
  "_metadata": {},
  "timezone": "<string>"
}
'
{
  "status": "success",
  "status_code": 200,
  "message": "<string>",
  "data": {
    "uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "metric_uid": "total_ar",
    "metric_name": "Total AR Outstanding",
    "period_definition": "as_of_date",
    "context_type": "ORGANIZATION",
    "entity_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "time_unit": "day",
    "timezone": "America/Los_Angeles",
    "metric_date": "2026-03-15",
    "storage_unit": "raw",
    "value_type": "currency",
    "value": 350000000,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "_metadata": {}
  }
}
Updates editable fields on a metric value. Editable fields:
  • value
  • _metadata
  • timezone
Immutable fields:
  • metric_uid
  • entity_uid
  • time_unit
  • metric_date

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

value_uid
string<uuid>
required

Metric value UID

Body

application/json

Only provided fields are changed. metric_uid, entity_uid, time_unit, and metric_date are immutable.

value
number

Updated metric value

_metadata
object

Updated calculation context

timezone
string

Updated timezone

Response

Metric value updated

status
string
Example:

"success"

status_code
integer
Example:

200

message
string
data
object